close all;                                     % 모든 생성된 창을 닫음 
clear all;                                     % 열려있는 작업영역(workspace)을 모두 비움 
clc;                                           % 명령(command) 창을 비움

n=-30:30;                                      % 시간축 설정
f=(-100:99)/200;                               % 주파수축 설정
fc=0.2;                                        % 차단 주파수 설정
hd=2*fc*sinc(2*fc*n);                          % 이상적인 필터의 임펄스 응답 
Hd=(abs(f)<=0.2);                              % 이상적인 필터의 주파수 응답 

subplot(2,1,1);                                % 2행 1열 배열 그림창의 1번 창
stem(n,hd);                                    % 임펄스 응답 을 그림  
title('\bf{이상적인 필터의 임펄스 응답}');       % 그림 제목
xlabel('\bf{n}'); grid on;                     % x축 라벨 및 그리드 표시 
subplot(2,1,2);                                % 2행 1열 배열 그림창의 2번 창
plot(f,Hd);                                    % 주파수 응답 을 그림
title('\bf{이상적인 필터의 주파수 응답}');       % 그림 제목
xlabel('\bf{F}'); grid on;                     % x축 라벨 및 그리드 표시  